oasis.names.tc.dss._1_0.core.schema

## Class SignatureObject

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.SignatureObject

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class SignatureObject
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
                 <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Timestamp"/>
                 <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Base64Signature"/>
                 <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}SignaturePtr"/>
                 <element name="Other" type="{urn:oasis:names:tc:dss:1.0:core:schema}AnyType"/>
               </choice>
             </sequence>
             <attribute name="SchemaRefs" type="{http://www.w3.org/2001/XMLSchema}IDREFS" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Base64Signature` | `getBase64Signature()` Gets the value of the base64Signature property.
    `AnyType` | `getOther()` Gets the value of the other property.
    `List<Object>` | `getSchemaRefs()` Gets the value of the schemaRefs property.
    `Signature` | `getSignature()` Gets the value of the signature property.
    `SignaturePtr` | `getSignaturePtr()` Gets the value of the signaturePtr property.
    `Timestamp` | `getTimestamp()` Gets the value of the timestamp property.
    `void` | `setBase64Signature(Base64Signature value)` Sets the value of the base64Signature property.
    `void` | `setOther(AnyType value)` Sets the value of the other property.
    `void` | `setSignature(Signature value)` Sets the value of the signature property.
    `void` | `setSignaturePtr(SignaturePtr value)` Sets the value of the signaturePtr property.
    `void` | `setTimestamp(Timestamp value)` Sets the value of the timestamp property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureObject

          public SignatureObject()

  - ### Method Detail

    - #### getOther

          public AnyType getOther()

      Gets the value of the other property.
      Returns:
        possible object is `AnyType`

    - #### setOther

          public void setOther(AnyType value)

      Sets the value of the other property.
      Parameters:
        `value` - allowed object is `AnyType`

    - #### getSignaturePtr

          public SignaturePtr getSignaturePtr()

      Gets the value of the signaturePtr property.
      Returns:
        possible object is `SignaturePtr`

    - #### setSignaturePtr

          public void setSignaturePtr(SignaturePtr value)

      Sets the value of the signaturePtr property.
      Parameters:
        `value` - allowed object is `SignaturePtr`

    - #### getBase64Signature

          public Base64Signature getBase64Signature()

      Gets the value of the base64Signature property.
      Returns:
        possible object is `Base64Signature`

    - #### setBase64Signature

          public void setBase64Signature(Base64Signature value)

      Sets the value of the base64Signature property.
      Parameters:
        `value` - allowed object is `Base64Signature`

    - #### getTimestamp

          public Timestamp getTimestamp()

      Gets the value of the timestamp property.
      Returns:
        possible object is `Timestamp`

    - #### setTimestamp

          public void setTimestamp(Timestamp value)

      Sets the value of the timestamp property.
      Parameters:
        `value` - allowed object is `Timestamp`

    - #### getSignature

          public Signature getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `Signature`

    - #### setSignature

          public void setSignature(Signature value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Signature`

    - #### getSchemaRefs

          public List<Object> getSchemaRefs()

      Gets the value of the schemaRefs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schemaRefs property.

      For example, to add a new item, do as follows:

              getSchemaRefs().add(newItem);

      Objects of the following type(s) are allowed in the list `Object`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.